<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui">

    <f:view contentType="text/html">
        <h:head>
        </h:head>
        <h:body>
            tests para ver si se puede pasar un parámetro al MB en el action de un componente<br/>

            <h1>Paila. Supuestamente funcionaba usando el-impl-2.2, pero no funcionó adicionandolo al war
                ni usando una versión de jetty que supuestamente lo incluye</h1>
            <br/>

            <p:ajaxStatus style="width:16px;height:16px;">
                <f:facet name="start">
                    <h:graphicImage value="../images/ajaxloadingbar.gif" />
                </f:facet>

                <f:facet name="complete">
                    <h:outputText value="" />
                </f:facet>
            </p:ajaxStatus>

            <p:messages id="msgs" showDetail="false" globalOnly="false" />

            <h:form prependId="false" id="form1">

                <!--            <p:commandButton value="Dele" action=" # {validator.goo(lola)}" update="msgs"/>-->
                <p:commandButton value="Dele2" action="#{validator.foo}" immediate="true" update="msgs"/>

            </h:form>

        </h:body>
    </f:view>
</html>